Package ghidra.trace.database.data

# Class DBTraceDataSettingsAdapter.DBTraceDataSettingsSpace

java.lang.Object
ghidra.trace.database.map.DBTraceAddressSnapRangePropertyMapSpace<DBTraceDataSettingsAdapter.DBTraceSettingsEntry,DBTraceDataSettingsAdapter.DBTraceSettingsEntry>
ghidra.trace.database.data.DBTraceDataSettingsAdapter.DBTraceDataSettingsSpace

All Implemented Interfaces:
  `DBTraceDataSettingsOperations`, `DBTraceSpaceBased`, `TraceAddressSnapRangePropertyMapOperations<DBTraceDataSettingsAdapter.DBTraceSettingsEntry>`, `TraceAddressSnapRangePropertyMapSpace<DBTraceDataSettingsAdapter.DBTraceSettingsEntry>`, `TraceSpaceMixin`, `SpatialMap<TraceAddressSnapRange,DBTraceDataSettingsAdapter.DBTraceSettingsEntry,DBTraceAddressSnapRangePropertyMapTree.TraceAddressSnapRangeQuery>`

Enclosing class:
  `DBTraceDataSettingsAdapter`

public class DBTraceDataSettingsAdapter.DBTraceDataSettingsSpace extends DBTraceAddressSnapRangePropertyMapSpace<DBTraceDataSettingsAdapter.DBTraceSettingsEntry,DBTraceDataSettingsAdapter.DBTraceSettingsEntry> implements DBTraceDataSettingsOperations

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface ghidra.util.database.spatial.SpatialMap

  `SpatialMap.EmptySpatialMap<DS extends BoundedShape<?>,T,Q>`

- ## Field Summary

  ### Fields inherited from class ghidra.trace.database.map.DBTraceAddressSnapRangePropertyMapSpace

  `fullSpace, lock, map, space, trace, tree`

  ### Fields inherited from interface ghidra.util.database.spatial.SpatialMap

  `EMPTY_MAP`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DBTraceDataSettingsSpace(String tableName, DBTrace trace, DBCachedObjectStoreFactory storeFactory, ReadWriteLock lock, AddressSpace space, Class<DBTraceDataSettingsAdapter.DBTraceSettingsEntry> dataType, DBTraceAddressSnapRangePropertyMap.DBTraceAddressSnapRangePropertyMapDataFactory<DBTraceDataSettingsAdapter.DBTraceSettingsEntry,DBTraceDataSettingsAdapter.DBTraceSettingsEntry> dataFactory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ReadWriteLock`
  `getLock()`
  `void`
  `makeWay(DBTraceDataSettingsAdapter.DBTraceSettingsEntry entry, Lifespan span)`

  ### Methods inherited from class ghidra.trace.database.map.DBTraceAddressSnapRangePropertyMapSpace

  `checkIntegrity, clear, deleteData, deleteValue, entries, firstEntry, firstKey, firstValue, getAddressSetView, getAddressSetView, getAddressSpace, getDataByKey, getTrace, getUserIndex, invalidateCache, isEmpty, keys, orderedEntries, orderedKeys, orderedValues, put, reduce, remove, remove, size, values`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.trace.database.data.DBTraceDataSettingsOperations

  `clear, doExactOrNew, doGetEntry, doGetExactEntry, doMakeWay, getLong, getSettingNames, getString, getValue, isEmpty, setLong, setString, setValue`

  ### Methods inherited from interface ghidra.trace.database.space.DBTraceSpaceBased

  `assertInSpace, assertInSpace, explainLanguages, isMySpace, toAddress, toOverlay`

  ### Methods inherited from interface ghidra.util.database.spatial.SpatialMap

  `clear, entries, firstEntry, firstKey, firstValue, isEmpty, keys, orderedEntries, orderedKeys, orderedValues, put, reduce, remove, remove, size, values`

  ### Methods inherited from interface ghidra.trace.model.map.TraceAddressSnapRangePropertyMapOperations

  `deleteValue, getAddressSetView, getAddressSetView, put, put, put, put`

  ### Methods inherited from interface ghidra.trace.util.TraceSpaceMixin

  `getFrameLevel, getThread`

- ## Constructor Details

  - ### DBTraceDataSettingsSpace

    public DBTraceDataSettingsSpace(String tableName, DBTrace trace, DBCachedObjectStoreFactory storeFactory, ReadWriteLock lock, AddressSpace space, Class<DBTraceDataSettingsAdapter.DBTraceSettingsEntry> dataType, DBTraceAddressSnapRangePropertyMap.DBTraceAddressSnapRangePropertyMapDataFactory<DBTraceDataSettingsAdapter.DBTraceSettingsEntry,DBTraceDataSettingsAdapter.DBTraceSettingsEntry> dataFactory) throws VersionException, IOException
    Throws:
      `VersionException`
      `IOException`

- ## Method Details

  - ### makeWay

    public void makeWay(DBTraceDataSettingsAdapter.DBTraceSettingsEntry entry, Lifespan span)
    Specified by:
      `makeWay` in interface `DBTraceDataSettingsOperations`

  - ### getLock

    public ReadWriteLock getLock()
    Specified by:
      `getLock` in interface `DBTraceDataSettingsOperations`